Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class StockItemType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.shop.common.bean.StockItemType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<StockItemType>`

public class StockItemType extends IdTitle implements TreeNode<StockItemType>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StockItemType()`
  `StockItemType(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StockItemAttributeKit`
  `getAttributeKit()`
  `List<StockItemType>`
  `getChildren()`
  `int`
  `getParentTypeId()`
  `StockItemType`
  `setAttributeKit(StockItemAttributeKit attributeKit)`
  `void`
  `setChildren(List<StockItemType> children)`
  `StockItemType`
  `setId(int id)`
  Устанавливает id объекта
  `StockItemType`
  `setParentTypeId(int parentTypeId)`
  `StockItemType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### StockItemType

    public StockItemType()

  - ### StockItemType

    public StockItemType(int id, String title)

- ## Method Details

  - ### getAttributeKit

    public StockItemAttributeKit getAttributeKit()

  - ### getChildren

    public List<StockItemType> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<StockItemType>`

  - ### getParentTypeId

    public int getParentTypeId()

  - ### setAttributeKit

    public StockItemType setAttributeKit(StockItemAttributeKit attributeKit)

  - ### setChildren

    public void setChildren(List<StockItemType> children)

  - ### setId

    public StockItemType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setParentTypeId

    public StockItemType setParentTypeId(int parentTypeId)

  - ### setTitle

    public StockItemType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`